/**
 * \file src/gui/xic_view/xicwindow.cpp
 * \date 11/1/2018
 * \author Olivier Langella
 * \brief XIC window
 */

/*******************************************************************************
* Copyright (c) 2018 Olivier Langella <olivier.langella@u-psud.fr>.
*
* This file is part of XTPcpp.
*
*     XTPcpp is free software: you can redistribute it and/or modify
*     it under the terms of the GNU General Public License as published by
*     the Free Software Foundation, either version 3 of the License, or
*     (at your option) any later version.
*
*     XTPcpp is distributed in the hope that it will be useful,
*     but WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*     GNU General Public License for more details.
*
*     You should have received a copy of the GNU General Public License
*     along with XTPcpp.  If not, see <http://www.gnu.org/licenses/>.
*
* Contributors:
*     Olivier Langella <olivier.langella@u-psud.fr> - initial API and implementation
******************************************************************************/

#include "xicwindow.h"
#include "ui_xic_window.h"
#include "../project_view/projectwindow.h"
#include "xic_box/xicbox.h"

XicWindow::XicWindow(ProjectWindow *parent):
    QMainWindow(parent),
    ui(new Ui::XicWindow)
{
    _project_window = parent;

    ui->setupUi(this);


#if QT_VERSION >= 0x050000
    // Qt5 code

#else
// Qt4 code
#endif


}

XicWindow::~XicWindow()
{
    qDebug() << "XicWindow::~XicWindow";
}

void XicWindow::addXic(const PeptideEvidence * p_peptide_evidence) {
    XicBox * p_box = new XicBox(this);
    p_box->setPeptideEvidence(p_peptide_evidence);
    ui->xic_vertical_layout->addWidget(p_box);
}

pappso::PrecisionP XicWindow::getXicExtractPrecision() const {
    return (pappso::Precision::getPpmInstance(10));
}
