/**
 * \file src/gui/xic_view/xicwindow.h
 * \date 11/1/2018
 * \author Olivier Langella
 * \brief XIC window
 */
/*******************************************************************************
* Copyright (c) 2018 Olivier Langella <olivier.langella@u-psud.fr>.
*
* This file is part of XTPcpp.
*
*     XTPcpp is free software: you can redistribute it and/or modify
*     it under the terms of the GNU General Public License as published by
*     the Free Software Foundation, either version 3 of the License, or
*     (at your option) any later version.
*
*     XTPcpp is distributed in the hope that it will be useful,
*     but WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*     GNU General Public License for more details.
*
*     You should have received a copy of the GNU General Public License
*     along with XTPcpp.  If not, see <http://www.gnu.org/licenses/>.
*
* Contributors:
*     Olivier Langella <olivier.langella@u-psud.fr> - initial API and implementation
******************************************************************************/

#ifndef XICWINDOW_H
#define XICWINDOW_H

#include <QMainWindow>

#include "../../core/peptideevidence.h"

class ProjectWindow;



namespace Ui {
class XicWindow;
}

class XicBox;

class XicWindow: public QMainWindow {
    Q_OBJECT
friend XicBox;
public:

    explicit XicWindow(ProjectWindow * parent = 0);
    ~XicWindow();

    void addXic(const PeptideEvidence * p_peptide_evidence);
    
    pappso::PrecisionP getXicExtractPrecision() const;
    
protected:
    
private:
    ProjectWindow * _project_window;
    Ui::XicWindow *ui;
    pappso::PrecisionP _xic_extract_precision;
};

#endif // XICWINDOW_H
